#!/sbin/sh
# COPYRIGHT NOTICE
# Copyright (c) Alteon Networks, Inc. 1996, 1997 
# All rights reserved
# 
# 
# HISTORY
# $Log: S29vge.sh,v $
# Revision 1.1.2.2  1997/12/25  01:21:41  suresh
# 	modify script to pick up interface names past 99 now that we support upto 100 physical adapters
# 	[1997/12/25  01:21:23  suresh]
#
# Revision 1.1.2.1  1997/12/24  22:50:45  suresh
# 	For PR597 : script replaces previous S30 script that would over-write the
# 	system supplied version.
# 	[1997/12/24  22:43:34  suresh]
# 
# Revision 1.1.5.4  1997/11/20  00:28:23  suresh
# 	pr 582 fix-check for hostname.xxx before setting redund via ndd
# 	[1997/11/20  00:27:59  suresh]
# 
# Revision 1.1.5.3  1997/11/19  01:47:41  suresh
# 	more error checking in install scripts
# 	[1997/11/19  01:46:43  suresh]
# 
# Revision 1.1.5.2  1997/11/18  21:42:27  suresh
# 	fix for pr576 to allow jumbos in vlan config
# 	[1997/11/18  21:42:07  suresh]
# 
# Revision 1.1.5.1  1997/11/14  04:10:57  suresh
# 	S30rootusr.xxx.sh change if /usr is its own filesystem
# 	[1997/11/14  04:09:22  suresh]
# 
# Revision 1.1.2.1  1997/09/16  03:11:59  ted
# 	Configuration script for release 2.0 driver features
# 	[1997/09/16  03:06:05  ted]
# 
# $EndLog$
#	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
#	Copyright (c) 1991, Sun Microsystems Inc.
#

#ident	"@(#)rootusr	1.8	95/02/24 SMI"


# Make sure that the libraries essential
# to this stage of booting can be found.
LD_LIBRARY_PATH=/etc/lib; export LD_LIBRARY_PATH

 
#
# Get the list of gigabit network interfaces to configure by breaking 
# /etc/hostname.* into separate args by using "." as a shell separator 
# character, then step through args and set up the ndd parameters if any.
#

NUM_VGE_INST=100
interface_names="`echo /etc/hostname.vge*[0-9]		2>/dev/null`"
if test "$interface_names" != "/etc/hostname.vge*[0-9]"
then
  (
  echo "configuring pre-ifconfig ndd parameters for gigabit interfaces"
  IFS="$IFS."
  set `echo /etc/hostname\.vge*[0-9]`
  while test $# -ge 2
  do
    shift
    if [ "$1" != "xx0" ]; then
      addr=`shcat /etc/hostname\.$1`
      if [ `/sbin/rcSexpr "$1" : "vge"` = 3 ]; then
	inst=`/sbin/rcSexpr "$1" : 'vge\([0-9][0-9]*\)'`
	if [ -f /etc/jumbo\.$1 ]; then
          if [ $inst -ge $NUM_VGE_INST ]; then
            if [ -f /etc/vlan\.vge$inst ]; then
              if [ -f /etc/vlan\.vge`/sbin/rcSexpr $inst % $NUM_VGE_INST` ]; then
                /sbin/rcSndd -set /dev/vge instance $inst
	        /sbin/rcSndd -set /dev/vge jumbo 1
                echo "Jumbo configured for $1" 
              else
                echo "***** JUMBO CONFIGURATION ERROR detected for /etc/jumbo.$1 *****"
                echo " Required file /etc/vlan.vge`/sbin/rcSexpr $inst % $NUM_VGE_INST`"
                echo " not found. Please correct the problem and reboot !!"
              fi
            else
              echo "***** JUMBO CONFIGURATION ERROR detected for /etc/jumbo.$1 *****"
              echo " Required file /etc/vlan.vge$inst"
              echo " not found. Please correct the problem and reboot !!"
            fi
          else
              /sbin/rcSndd -set /dev/vge instance $inst
              /sbin/rcSndd -set /dev/vge jumbo 1
              echo "Jumbo configured for $1" 
          fi
	fi
	if [ -f /etc/vlan\.$1 ]; then
          if [ -f /etc/vlan\.vge`/sbin/rcSexpr $inst % $NUM_VGE_INST` ]; then
	    vlan=`shcat /etc/vlan\.$1`
	    /sbin/rcSndd -set /dev/vge instance $inst
	    /sbin/rcSndd -set /dev/vge vlan\? 1
	    /sbin/rcSndd -set /dev/vge vlan_tag $vlan
            echo "Vlan  configured for $1" 
          else
            echo "***** VLAN CONFIGURATION ERROR detected for /etc/vlan.$1 *****"
            echo "  Required file /etc/vlan.vge`/sbin/rcSexpr $inst % $NUM_VGE_INST` "
            echo "  not found. Please correct the problem and reboot !!"
          fi
	fi
      fi
    fi
    shift
  done
  ) 
fi
