#!/sbin/sh
# COPYRIGHT NOTICE
# Copyright (c) Alteon Networks, Inc. 1996, 1997 
# All rights reserved
# 
# 
# HISTORY
# $Log: S31vge.sh,v $
# Revision 1.1.2.4  1998/01/08  22:31:09  suresh
# 	Re-fix PR686 - escape the period in the shell script
# 	[1998/01/08  22:28:11  suresh]
#
# 	pr 582 fix-check for hostname.xxx before setting redund via ndd
# 	[1997/11/20  00:27:59  suresh]
#
# 	more error checking in install scripts
# 	[1997/11/19  01:46:43  suresh]
#
# 	fix for pr576 to allow jumbos in vlan config
# 	[1997/11/18  21:42:07  suresh]
#
# 	S30rootusr.xxx.sh change if /usr is its own filesystem
# 	[1997/11/14  04:09:22  suresh]
#
# Revision 1.1.2.3  1998/01/05  18:14:26  suresh
# 	PR686 : print mtu size for jumbo config
# 	[1998/01/05  18:14:04  suresh]
# 
# Revision 1.1.2.2  1997/12/25  01:21:42  suresh
# 	modify script to pick up interface names past 99 now that we support upto 100 physical adapters
# 	[1997/12/25  01:21:30  suresh]
# 
# Revision 1.1.2.1  1997/12/24  22:50:48  suresh
# 	For PR597 : script replaces previous S30 script that would over-write the
# 	system supplied version.
# 	[1997/12/24  22:44:27  suresh]
# 
# Revision 1.1.2.1  1997/09/16  03:11:59  ted
# 	Configuration script for release 2.0 driver features
# 	[1997/09/16  03:06:05  ted]
# 
# $EndLog$
#	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#
#	Copyright (c) 1991, Sun Microsystems Inc.
#

#ident	"@(#)rootusr	1.8	95/02/24 SMI"


#
# Get the list of network interfaces to configure by breaking 
# /etc/hostname.* into separate args by using "." as a shell separator 
# character, then step through args and ifconfig every other arg.
# Set the netmask along the way using local "/etc/netmasks" file.
# This also sets up the streams plumbing for the interface.
# With an empty /etc/hostname.* file this only sets up the streams plumbing
# allowing the ifconfig auto-revarp command will attempt to set the address.
#

NUM_VGE_INST=100
interface_names="`echo /etc/hostname.vge*[0-9]		2>/dev/null`"
if test "$interface_names" != "/etc/hostname.vge*[0-9]"
then
  (
  echo "configuring post-ifconfig ndd parameters for gigabit network interfaces"
  IFS="$IFS."
  set `echo /etc/hostname\.vge*[0-9]`
  while test $# -ge 2
  do
    shift
    if [ "$1" != "xx0" ]; then
      addr=`shcat /etc/hostname\.$1`
      if [ `/sbin/rcSexpr "$1" : "vge"` = 3 ]; then
        inst=`/sbin/rcSexpr "$1" : 'vge\([0-9][0-9]*\)'`
        /sbin/rcSndd -set /dev/vge instance $inst
        if [ -f /etc/jumbo\.$1 ]; then
          /sbin/ifconfig $1 mtu `shcat /etc/jumbo\.$1`
          echo "Configured MTU for $1 : mtu set to `shcat /etc/jumbo\.$1`"
        fi
      fi
    fi
    shift
  done
  )
fi

#
# set up the redundant interfaces (vge only)
#
redundant_names="`echo /etc/redund.*[0-9]		2>/dev/null`"
if test "$redundant_names" != "/etc/redund.*[0-9]"
then
  (
  IFS="$IFS."
  set `echo /etc/redund\.*[0-9]`
  while test $# -ge 2
  do
    shift
    if [ "$1" != "xx0" ]; then
      red_if=`shcat /etc/redund\.$1`
      if [ `/sbin/rcSexpr "$1" : "vge"` = 3 ]; then
	inst=`/sbin/rcSexpr "$1" : 'vge\([0-9][0-9]*\)'`
        if [ $inst -lt $NUM_VGE_INST ]; then
          if [ -f /etc/hostname\.vge$red_if ]; then
	    /sbin/rcSndd -set /dev/vge instance $inst
	    /sbin/rcSndd -set /dev/vge redund $red_if
	    /sbin/rcSndd -set /dev/vge redund\? 1
            echo "$1 : Redundant interface configured"
          fi
        fi
      fi
    fi
    shift
  done
  )
fi
